package com.sooka.system.gas.qinchuan_user_infor.mapper;

import com.sooka.system.gas.qinchuan_user_infor.domain.TGuijiQinchuanUserInfor;

import java.util.List;

/**
 * 秦川业务系统-用户信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiQinchuanUserInforMapper
{
    /**
     * 查询秦川业务系统-用户信息
     *
     * @param id 秦川业务系统-用户信息ID
     * @return 秦川业务系统-用户信息
     */
    public TGuijiQinchuanUserInfor selectById(String id);

    /**
     * 查询秦川业务系统-用户信息列表
     *
     * @param param 秦川业务系统-用户信息
     * @return 秦川业务系统-用户信息集合
     */
    public List<TGuijiQinchuanUserInfor> selectList(TGuijiQinchuanUserInfor param);

    /**
     * 新增秦川业务系统-用户信息
     *
     * @param param 秦川业务系统-用户信息
     * @return 结果
     */
    public int insert(TGuijiQinchuanUserInfor param);

    /**
     * 修改秦川业务系统-用户信息
     *
     * @param param 秦川业务系统-用户信息
     * @return 结果
     */
    public int update(TGuijiQinchuanUserInfor param);

    /**
     * 删除秦川业务系统-用户信息
     *
     * @param id 秦川业务系统-用户信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除秦川业务系统-用户信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
